<?php
if(!isset($_SESSION)) {
    session_start();
}

$correcto  = false;
$sesion    = false;
$mensaje   = 'No se pudo aplicar el filtro';

require_once($_SERVER['DOCUMENT_ROOT'].'/varios/varios.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');

if( Varios::isActiveSession() 
    && Varios::hasModuleAccess(10)
) {
    if( isset($_POST['reservaId']) ) {
        $_SESSION['filtroGestionReservasReservaId'] = trim( $_POST['reservaId'] );
    }
    if( isset($_POST['bodega']) ) {
        $_SESSION['filtroGestionReservasBodega'] = trim( $_POST['bodega'] );
    }
    if( isset($_POST['fecha']) ) {
        $_SESSION['filtroGestionReservasFecha'] = trim( $_POST['fecha'] );
    }
    if( isset($_POST['tipoCarga']) ) {
        $_SESSION['filtroGestionReservasTipoCarga'] = trim( $_POST['tipoCarga'] );
    }
    if( isset($_POST['cantidad']) ) {
        $_SESSION['filtroGestionReservasCantidad'] = trim( $_POST['cantidad'] );
    }

    $correcto = true;
    $mensaje = 'Filtro aplicado';
} else {
    $sesion = true;
}

$data = array(
  'success' => $correcto,
  'mensaje' => $mensaje,
  'sesion'  => $sesion
);
echo json_encode($data);
?>